[Secure-testing-commits] r31387 - / tools tools/git-migration

Salvatore Bonaccorso carnil at moszumanska.debian.org
Fri Jan 16 16:44:17 UTC 2015


Author: carnil
Date: 2015-01-16 16:44:17 +0000 (Fri, 16 Jan 2015)
New Revision: 31387

Added:
   tools/
   tools/git-migration/
   tools/git-migration/AUTHOR
   tools/git-migration/fetch-authors
Log:
Add two example scripts to be used for svn to git conversion to generate AUTHORS.txt file

Added: tools/git-migration/AUTHOR
===================================================================
--- tools/git-migration/AUTHOR	                        (rev 0)
+++ tools/git-migration/AUTHOR	2015-01-16 16:44:17 UTC (rev 31387)
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+set -e
+set -u
+
+usage() {
+    echo "Syntax: $0 <author>"
+}
+[ -n "${1:-}" ] && [ -z "${2:-}" ] || usage
+
+author="$1"
+real_author=$author
+full_name=`getent passwd $author | cut -d: -f5 | sed 's/,.\+//'`;
+
+if [ -z "$full_name" ]; then
+    echo "Unable to get account information for $author" >& 2
+    if echo $author  | grep -q -E -- '-guest$'; then
+	echo "  trying without -guest suffix" >& 2
+	author=`echo $author | sed 's/-guest$//'`
+	full_name=`getent passwd $author | cut -d: -f5 | sed 's/,.\+//'`;
+	if [ -z "$full_name" ]; then
+	    echo "Unable to get account information for $author" >& 2
+	    echo "  trying a hard-coded list of DDs" >& 2
+	    author=`echo $author | sed 's/xaviero/xoswald/; s/hanska/dapal/; s/kitterma/kitterman/; s/ra28145/jjr/; s/ryan52/ryan/; s/thialme/franck/'`
+	    full_name=`getent passwd $author | cut -d: -f5 | sed 's/,.\+//'`;
+	    if [ -z "$full_name" ]; then
+		echo "NO MORE WORKAROUNDS: Unable to get account information for $author" >& 2
+		exit 0
+	    fi
+	fi
+    else
+    	exit 0
+    fi
+fi
+
+if which curl > /dev/null; then
+	CURL='curl -s'
+else
+	CURL='wget -q -O -'
+fi
+
+if echo $author | grep -E -q -e '-guest$'; then
+    email=`$CURL https://alioth.debian.org/users/$author/ | grep sendmessage|grep touser|grep nospam|sed 's,.*<strong>.*<a href[^>]\+>,,; s/<.*//; s/ @nospam@ /@/'`;
+    
+    if [ -z "$email" ]; then
+        email="$author at users.alioth.debian.org";
+    fi;
+else
+    email="$author at debian.org";
+fi;
+
+echo "$real_author = $full_name <$email>"
+
+# vim: set et sw=4 sts=4 ts=8 tw=78 ai :


Property changes on: tools/git-migration/AUTHOR
___________________________________________________________________
Added: svn:executable
   + *

Added: tools/git-migration/fetch-authors
===================================================================
--- tools/git-migration/fetch-authors	                        (rev 0)
+++ tools/git-migration/fetch-authors	2015-01-16 16:44:17 UTC (rev 31387)
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+svn log --xml  svn://svn.debian.org/svn/secure-testing \
+    | sed '/<author>/! d; s,<author>,,; s,</author>,,' > authors
+sort authors | uniq > authors.uniq
+cat authors.uniq | \
+    while read a; do
+        /srv/home/users/carnil/scripts/AUTHOR $a >> AUTHORS.txt
+    done


Property changes on: tools/git-migration/fetch-authors
___________________________________________________________________
Added: svn:executable
   + *




More information about the Secure-testing-commits mailing list